Bug 847002 - Web pages fail to render all elements and colors correctly in IE8 and IE9
Web pages fail to render all elements and colors correctly in IE8 and IE9
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Jason E. Rist
Hayk Hovsepyan
: Triaged
Depends On:
Blocks: 847024
  Show dependency treegraph
 
Reported: 2012-08-09 08:19 EDT by Eric Sammons
Modified: 2014-09-18 11:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The System Engine webpage failed to render all elements and colors correctly in Internet Explorer 8 and 9. The login page and header issues has been fixed and should now render correctly on Internet Explorer 8 or 9.
Story Points: ---
Clone Of:
: 847024 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:53:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The same page in FF and IE9 W7 (234.96 KB, image/png)
2012-10-05 08:41 EDT, Hayk Hovsepyan
no flags Details
Changeset page in FF and IE9 W7 (244.25 KB, image/png)
2012-10-05 08:42 EDT, Hayk Hovsepyan
no flags Details

  None (edit)
Description Eric Sammons 2012-08-09 08:19:13 EDT
Description of problem:
When accessing https://fqdn/headpin the first thing you will find is the login page is unreadable due to elements not rendering correctly.  Upon logging in you will find the title bar and other elements are colored incorrectly or not visible due to color rendering issues.

Version-Release number of selected component (if applicable):
katello-all-1.0.4-1.fc16.noarch

How reproducible:
IE8 on Windows 2003 and IE9 on Windows 7

Steps to Reproduce:
1. Navigate your IE browser to https://fqdn/headpin

Actual results:
Elements are not visible, apparently due to the failure to render all the colors correctly.

Expected results:
The page should appear in IE as it does in Firefox on Windows.
Comment 5 Jason E. Rist 2012-09-10 19:24:58 EDT
Note, it will not look the same on IE8 as it does on any other browser due to severe limitations in the standards compliance of IE8.  I have approximated many of the colors and stylings, but things like curved borders are not going to be present as the only way to get them working is through ugly and often inconsistent hacks. Highly recommended that we use IE9 as that looks almost identical to Firefox, Chrome, and others.

Note, most of these changes were in Converge-UI: 558f8d7c94bb5e95565a9695dfa1e491bab63c7c

Which is in current master already (a few commits past)
Comment 6 Jason E. Rist 2012-09-10 19:27:51 EDT
Testing IE8 login which appears to not be working right.
Comment 7 Jason E. Rist 2012-09-11 14:00:30 EDT
IE8 login failing was exclusive to my setup - appears to be working everywhere else.
Comment 9 Hayk Hovsepyan 2012-10-05 08:41:47 EDT
Created attachment 622154 [details]
The same page in FF and IE9 W7
Comment 10 Hayk Hovsepyan 2012-10-05 08:42:44 EDT
Created attachment 622155 [details]
Changeset page in FF and IE9 W7
Comment 11 Hayk Hovsepyan 2012-10-05 08:56:43 EDT
Testing on revision:
katello-glue-candlepin-1.1.12-12.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-1.1.8-6.el6cf.noarch
katello-configure-1.1.9-6.el6cf.noarch
katello-1.1.12-12.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-12.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-6.el6cf.noarch
katello-common-1.1.12-12.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch


Login page seems OK on IE8 W2003 and IE9 W7.

But there were 2 differences in other pages (IE9 W7), which screenshots are attached.

1. First is that in Content Search page, the result list does not expand. I have used "zoo" report and searched "title:*a*" in Erratas. It loads only the name of product, but does not expand list to show repo and erratas while clicking on it. (attachment The same page in FF and IE9 W7)

2. Second is small issue. In Changesets page the names of environments is a bit upper than should be. (attachment Changeset page in FF and IE9 W7)
Comment 12 Jason E. Rist 2012-10-09 14:08:46 EDT
Breaking off #1 into a new bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=864216
#2 into another new bug:
https://bugzilla.redhat.com/show_bug.cgi?id=864608
Comment 13 Eric Helms 2012-10-11 14:08:07 EDT
For #1 - https://github.com/Katello/katello/pull/814 provides the fixes, see https://bugzilla.redhat.com/show_bug.cgi?id=864216 for more information.
Comment 14 Mike McCune 2012-10-16 17:14:55 EDT
moving this ON_QA for the sole purpose of testing and verifying the login and header issues.  not the 1 and 2 named in comment 11
Comment 15 Hayk Hovsepyan 2012-10-17 05:46:01 EDT
Verified on revision:
katello-glue-candlepin-1.1.12-16.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-common-1.1.12-16.el6cf.noarch
katello-1.1.12-16.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-cli-1.1.8-7.el6cf.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-configure-1.1.9-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-glue-pulp-1.1.12-16.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-7.el6cf.noarch

Login and header functionality work fine.
Comment 17 errata-xmlrpc 2012-12-04 14:53:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 18 Mike McCune 2013-08-16 13:58:37 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.